Name:           tepl
Version:        4.2.0
Release:        2%{?dist}
Summary:        Text editor product line

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Tepl
Source0:        https://download.gnome.org/sources/tepl/4.2/tepl-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  pkgconfig(amtk-5)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(uchardet)

# gtef was retired in F29
Obsoletes:      gtef < 3.0.0

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. Tepl is the acronym for “Text editor product line”.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      gtef-devel < 3.0.0

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        tests
Summary:        Tests for the %{name} package
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      gtef-tests < 3.0.0

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.


%prep
%autosetup


%build
%configure --enable-installed-tests
%make_build V=1


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete

%find_lang tepl-4


%files -f tepl-4.lang
%license COPYING
%doc AUTHORS NEWS README
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Tepl-4.typelib
%{_libdir}/libtepl-4.so.0*

%files devel
%{_includedir}/tepl-4/
%{_libdir}/libtepl-4.so
%{_libdir}/pkgconfig/tepl-4.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Tepl-4.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/tepl-4.0/

%files tests
%dir %{_libexecdir}/installed-tests
%{_libexecdir}/installed-tests/tepl-4/
%dir %{_datadir}/installed-tests
%{_datadir}/installed-tests/tepl-4/


%changelog
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Mar 11 2019 Phil Wyett <philwyett@kathenas.org> - 4.2.0-1
- Update to 4.2.0

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Aug 04 2018 Kalev Lember <klember@redhat.com> - 3.0.0-4
- Obsolete gtef (#1612444)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 29 2017 Kalev Lember <klember@redhat.com> - 3.0.0-1
- Initial Fedora packaging
